<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Wishlist</title>
    <!--/*/ <th:block th:include="fragments/head :: head"/> /*/-->
</head>
<body>
<div th:insert="fragments/navbar :: navbar('wishlist')"></div>
<button onclick="location.href='/wishlist/new'" type="button" class="btn btn-outline-success">Додати у список бажань
</button>
<hr/>
<table class="table">
    <thead class="thead-light">
    <tr>
        <th scope="col">
            <a th:href="@{/wishlist/?page={id}&sortField={sortField}&sortDir={sortDir}(id=${wishlist.number},sortField='recipe',sortDir=${reverseSortDir})}">
                Рецепт</a>
        </th>
        <th scope="col">
            <a th:href="@{/wishlist/?page={id}&sortField={sortField}&sortDir={sortDir}(id=${wishlist.number},sortField='amount',sortDir=${reverseSortDir})}">
                Кількість</a>
        </th>
        <th scope="col">Дія</th>
    </tr>
    </thead>
    <tbody>
    <tr th:each="wishlist : ${wishlist}">
        <td th:text="${wishlist.getRecipe().getName()}">Recipe name</td>
        <td th:text="${wishlist.getAmount()}">Amount</td>
        <td>
            <div class="btn-group">
                <a th:href="@{/wishlist/{id}(id=${wishlist.getId()})}">
                    <button type="button" class="btn btn-outline-primary">Редагувати</button>
                </a>

                <form th:method="DELETE" th:action="@{/wishlist/{id}(id=${wishlist.getId()})}">
                    <button type="submit" class="btn btn-outline-danger">Видалити</button>
                </form>
            </div>
        </td>
    </tr>
    </tbody>
</table>
<div th:insert="fragments/pagination :: pagination(${wishlist},'/wishlist')"></div>
</body>
</html>